org.kie.internal.runtime.conf

## Enum PersistenceMode

- java.lang.Object
- - java.lang.Enum<PersistenceMode>
  - - org.kie.internal.runtime.conf.PersistenceMode

- All Implemented Interfaces:
    Serializable, Comparable<PersistenceMode>

      public enum PersistenceMode
      extends Enum<PersistenceMode>

  Supported persistence modes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JPA`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PersistenceMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PersistenceMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final PersistenceMode NONE

    - #### JPA

          public static final PersistenceMode JPA

  - ### Method Detail

    - #### values

          public static PersistenceMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PersistenceMode c : PersistenceMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PersistenceMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.